### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-timeline/ecl-timeline-item.component.ts`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `ecl-timeline-item`
styles | `ecl-timeline-item { display: list-item; }`
templateUrl | `ecl-timeline-item.component.html`

### Index

###### Properties
destroy$ templates timelineItemToggler togglerSlot
###### Methods
hasDefaultToggler onTogglerClick
###### Inputs
isCollapsed isToggler isTogglerExpanded label styleClass title toggleButtonLabel toggleGroup
###### Outputs
toggle
###### HostBindings
class

### Inputs

isCollapsed
Type : `boolean`
Default value : `false`

isToggler
Type : `boolean`
Default value : `false`

isTogglerExpanded
Type : `boolean`
Default value : `false`

label
Type : `string`

styleClass
Type : `string`

title
Type : `string`

toggleButtonLabel
Type : `string`

toggleGroup
Type : `string`

### Outputs

toggle
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

hasDefaultToggler
`hasDefaultToggler()`
Returns : `boolean`

onTogglerClick
`onTogglerClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

destroy$
Type : `Subject<boolean>`
Default value : `new Subject<boolean>()`

templates
Type : `QueryList<any>`
Decorators : `@ContentChildren(EclSlotDirective)`

timelineItemToggler
Type : `EclTimelineItemTogglerComponent`
Decorators : `@ContentChild(undefined)`

togglerSlot
Type : `TemplateRef<any>`

# result-matching ""

# No results matching ""